### Name: crossval
### Title: Cross-validation for predictive Co-Correspondence Analysis
###   models
### Aliases: crossval print.crossval summary.crossval
###   print.summary.crossval
### Keywords: multivariate

### ** Examples


## load the data sets
data(beetles)
data(plants)
## log transform the bettle data
beetles <- log(beetles + 1)

## predictive CoCA using SIMPLS and formula interface
bp.pred <- coca(beetles ~ ., data = plants)
## should retain only the useful PLS components for a
## parsimonious model

## Not run: 
##D ## Leave-one-out crossvalidation - this takes a while
##D crossval(beetles, plants)
##D ## so 2 axes are sufficient
## End(Not run)

bp.pred <- coca(beetles ~ ., data = plants, n.axes = 2)
bp.pred
summary(bp.pred)



