### Name: permutest.coca
### Title: Permutation test for predictive co-correspondence analysis
###   models
### Aliases: permutest.coca print.permutest.coca summary.permutest.coca
###   print.summary.permutest.coca
### Keywords: multivariate

### ** Examples

## load some data
data(beetles)
## log transform the bettle data
beetles <- log(beetles + 1)
data(plants)
## predictive CoCA using SIMPLS and formula interface
bp.pred <- coca(beetles ~ ., data = plants)

## should retain only the useful PLS components for a parsimonious model
## Not run: 
##D ## Leave-one-out crossvalidation - this takes a while
##D crossval(beetles, plants)
##D ## so 2 axes are sufficient
##D 
##D ## permutation test to assess significant PLS components - takes a while
##D bp.perm <- permutest.coca(bp.pred, permutations = 99)
##D bp.perm
##D summary(bp.perm)
##D 
##D ## permutation test, this time only testing the first 2 axes
##D bp.perm <- permutest.coca(bp.pred, permutations = 99, n.axes = 2)
##D bp.perm
##D summary(bp.perm)
## End(Not run)



